Uploaded image for project: 'OpenMRS Standalone'
  1. OpenMRS Standalone
  2. STAND-100

Upgrade tomcat version

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: Should
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Labels:
    • Complexity:
      Low

      Description

      The Standalon currently uses Tomcat 7.0.50. This version of Tomcat will fail to work when using JARs built for compatibility with Java 9+ and older versions of Java. Having such a module in the classpath results in an SEVERE issue. This results in us being unable to move to more modern versions of some libraries.

      Note that this behaviour is fixed in Tomcat 7.0.76 and more recent, so this should be a pretty trivial issue.

        Gliffy Diagrams

          Attachments

            Issue Links

              Activity

                People

                Assignee:
                jwnasambu Juliet Wamalwa
                Reporter:
                ruhanga Nathan Ruhanga
                Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: